// ########################################################################
// ## system.h                                                           ##
// ## Systemabhngige Definitionen und Einstellungen                     ##
// ## Copyright Thomas Dreibholz, uzs6pq@ibm.rhrz.uni-bonn.de            ##
// ##           WWW Homepage:     http://ibm.rhrz.uni-bonn.de/~uzs6pq    ##
// ########################################################################
 
#ifndef SYSTEM_H
#define SYSTEM_H


/*
#include <bool.h>
#include <minmax.h>
*/


#ifndef max
#define max(a, b)               ((a) < (b) ? (b) : (a))
#endif
#ifndef min
#define min(a, b)               ((a) > (b) ? (b) : (a))
#endif


// Startwert fr Zufallszahlen-Generator aus /dev/urandom lesen;
// ansonsten Systemzeit benutzen
#define RANDOM_DEVICE "/dev/urandom"


// Typdefinitionen
typedef char                sbyte;
typedef unsigned char       ubyte;

typedef char                int8;
typedef unsigned char       card8;
typedef short               int16;
typedef unsigned short      card16;
typedef int                 int32;
typedef unsigned int        card32;
typedef long long           int64;
typedef unsigned long long  card64;

#endif
  