// ########################################################################
// ## viewer.cc                                                          ##
// ## Viewer fr Graphenlisten                                           ##
// ## Copyright Thomas Dreibholz, uzs6pq@ibm.rhrz.uni-bonn.de            ##
// ##           WWW Homepage:     http://ibm.rhrz.uni-bonn.de/~uzs6pq    ##
// ########################################################################

#include <kapp.h>

#include "../system.h"

#include "viewer.h"
#include "viewerwidget.h"
#include "viewerwidget.icc"


// Hauptprogramm
int main(int32 argc, char** argv)
{
   ViewerWidget* viewer;
   int32       i;

   KApplication application(argc,argv,"kgraphviewer");

   if(argc > 1) {
      for(i = 1;i < argc;i++) {
         viewer = new ViewerWidget;
         viewer->Oeffnen(argv[i]);
      }
   }
   else viewer = new ViewerWidget;
   return application.exec();
}
